Package com.avaya.clientservices.call

## Enum CallPrecedenceLevel

- java.lang.Object
- - java.lang.Enum<CallPrecedenceLevel>
  - - com.avaya.clientservices.call.CallPrecedenceLevel

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallPrecedenceLevel>`

      public enum CallPrecedenceLevel
      extends java.lang.Enum<CallPrecedenceLevel>

  Call Precedence Level DoD(Department of defence) UC networks support Precedence-Based Assured Services (PBAS) for delivery of UC services. Connections and resources that belong to a call from a user are marked with a precedence level and domain identifier and can only be preempted by calls of higher precedence from users in the same service domain. Precedence provides for preferred handling of PBAS service requests. PBAS involves assigning and validating priority levels to calls, and prioritized treatment of service requests. There are five precedence levels; from lowest to highest they are ROUTINE, PRIORITY, IMMEDIATE, FLASH, and FLASH OVERRIDE. Maximum precedence level of a user is set at the subscription time by the UC network administrator based on the user's validated need. When initiating a session, the user may select a precedence level up to and including the maximum authorized precedence level for that user, on a per call basis. The network at the user's originating interface ensures that the selected precedence level does not exceed the maximum level assigned to that extension. When JITC Multilevel call precedence and preemption (MLPP) is enabled at server, A call will default automatically to the ROUTINE precedence unless a higher precedence is dialed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FLASH` | Call precedence level is flash.
    `FLASH_OVERRIDE` | Call precedence level is flash override.
    `IMMEDIATE` | Call precedence level is immediate.
    `NOT_SPECIFIED` | Call precedence level is not specified, Used for non JITC(MLPP) based systems.
    `PRIORITY` | Call precedence level is priority.
    `ROUTINE` | Call precedence level is routine.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallPrecedenceLevel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallPrecedenceLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SPECIFIED

          public static final CallPrecedenceLevel NOT_SPECIFIED

      Call precedence level is not specified, Used for non JITC(MLPP) based systems. This is also default value when no precedence is specified. However when when MLLP is enabled at server, A call will no precedence level will be automatically upgraded to the ROUTINE precedence unless a higher precedence is dialed.

    - #### ROUTINE

          public static final CallPrecedenceLevel ROUTINE

      Call precedence level is routine. When jitc(MLLP) is enabled at server, A call will default automatically to the ROUTINE precedence unless a higher precedence is dialed.

    - #### PRIORITY

          public static final CallPrecedenceLevel PRIORITY

      Call precedence level is priority.

    - #### IMMEDIATE

          public static final CallPrecedenceLevel IMMEDIATE

      Call precedence level is immediate.

    - #### FLASH

          public static final CallPrecedenceLevel FLASH

      Call precedence level is flash.

    - #### FLASH_OVERRIDE

          public static final CallPrecedenceLevel FLASH_OVERRIDE

      Call precedence level is flash override.

  - ### Method Detail

    - #### values

          public static CallPrecedenceLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallPrecedenceLevel c : CallPrecedenceLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallPrecedenceLevel valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null